
public class Class424 {

   public static final int anInt5355 = 64;
   Class253 aClass253_5356;
   Class564 aClass564_5357 = new Class564(64);
   Class253 aClass253_5358;
   public static final int anInt5359 = 64;
   Class564 aClass564_5360 = new Class564(64);


   public Class424(Class481 var1, Class470 var2, Class253 var3, Class253 var4) {
      this.aClass253_5358 = var3;
      this.aClass253_5356 = var4;
      this.aClass253_5358.method4514(Class115.aClass115_1143.anInt1177 * 2022937823, -2084853411);
      Math.random();
      Math.random();
      Math.random();
      Math.random();
   }

   public Class426 method7233(int var1, int var2) {
      Class564 var3 = this.aClass564_5357;
      Class426 var4;
      synchronized(var3) {
         var4 = (Class426)this.aClass564_5357.method11959((long)var1);
      }

      if(null != var4) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_5358;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_5358.method4547(2022937823 * Class115.aClass115_1143.anInt1177, var1, (byte)-12);
         }

         var4 = new Class426();
         var4.aClass424_5367 = this;
         if(var12 != null) {
            var4.method7260(new RS2Buffer(var12), -1937661230);
         }

         Class564 var11 = this.aClass564_5357;
         synchronized(var11) {
            this.aClass564_5357.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public Class426 method7234(int var1) {
      Class564 var2 = this.aClass564_5357;
      Class426 var3;
      synchronized(var2) {
         var3 = (Class426)this.aClass564_5357.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5358;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5358.method4547(2022937823 * Class115.aClass115_1143.anInt1177, var1, (byte)-11);
         }

         var3 = new Class426();
         var3.aClass424_5367 = this;
         if(var10 != null) {
            var3.method7260(new RS2Buffer(var10), -1837318262);
         }

         Class564 var11 = this.aClass564_5357;
         synchronized(var11) {
            this.aClass564_5357.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7235(int var1, int var2) {
      this.aClass564_5357 = new Class564(var1);
      this.aClass564_5360 = new Class564(var2);
   }

   public void method7236(int var1, int var2) {
      Class564 var3 = this.aClass564_5357;
      synchronized(var3) {
         this.aClass564_5357.method11963(var1, (byte)-26);
      }

      var3 = this.aClass564_5360;
      synchronized(var3) {
         this.aClass564_5360.method11963(var1, (byte)-41);
      }
   }

   public void method7237(int var1) {
      Class564 var2 = this.aClass564_5357;
      synchronized(var2) {
         this.aClass564_5357.method11968((short)-7766);
      }

      var2 = this.aClass564_5360;
      synchronized(var2) {
         this.aClass564_5360.method11968((short)-14196);
      }
   }

   public Class426 method7238(int var1) {
      Class564 var2 = this.aClass564_5357;
      Class426 var3;
      synchronized(var2) {
         var3 = (Class426)this.aClass564_5357.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5358;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5358.method4547(2022937823 * Class115.aClass115_1143.anInt1177, var1, (byte)-44);
         }

         var3 = new Class426();
         var3.aClass424_5367 = this;
         if(var10 != null) {
            var3.method7260(new RS2Buffer(var10), -1908399152);
         }

         Class564 var11 = this.aClass564_5357;
         synchronized(var11) {
            this.aClass564_5357.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class426 method7239(int var1) {
      Class564 var2 = this.aClass564_5357;
      Class426 var3;
      synchronized(var2) {
         var3 = (Class426)this.aClass564_5357.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5358;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5358.method4547(2022937823 * Class115.aClass115_1143.anInt1177, var1, (byte)-42);
         }

         var3 = new Class426();
         var3.aClass424_5367 = this;
         if(var10 != null) {
            var3.method7260(new RS2Buffer(var10), -2125732747);
         }

         Class564 var11 = this.aClass564_5357;
         synchronized(var11) {
            this.aClass564_5357.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class426 method7240(int var1) {
      Class564 var2 = this.aClass564_5357;
      Class426 var3;
      synchronized(var2) {
         var3 = (Class426)this.aClass564_5357.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5358;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5358.method4547(2022937823 * Class115.aClass115_1143.anInt1177, var1, (byte)10);
         }

         var3 = new Class426();
         var3.aClass424_5367 = this;
         if(var10 != null) {
            var3.method7260(new RS2Buffer(var10), -1857416723);
         }

         Class564 var11 = this.aClass564_5357;
         synchronized(var11) {
            this.aClass564_5357.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7241() {
      Class564 var1 = this.aClass564_5357;
      synchronized(var1) {
         this.aClass564_5357.method11968((short)-27828);
      }

      var1 = this.aClass564_5360;
      synchronized(var1) {
         this.aClass564_5360.method11968((short)-6472);
      }
   }

   public void method7242(int var1) {
      Class564 var2 = this.aClass564_5357;
      synchronized(var2) {
         this.aClass564_5357.method11976((byte)46);
      }

      var2 = this.aClass564_5360;
      synchronized(var2) {
         this.aClass564_5360.method11976((byte)107);
      }
   }

   public void method7243(int var1, int var2) {
      this.aClass564_5357 = new Class564(var1);
      this.aClass564_5360 = new Class564(var2);
   }

   public void method7244() {
      Class564 var1 = this.aClass564_5357;
      synchronized(var1) {
         this.aClass564_5357.method11976((byte)120);
      }

      var1 = this.aClass564_5360;
      synchronized(var1) {
         this.aClass564_5360.method11976((byte)91);
      }
   }

   public void method7245() {
      Class564 var1 = this.aClass564_5357;
      synchronized(var1) {
         this.aClass564_5357.method11976((byte)79);
      }

      var1 = this.aClass564_5360;
      synchronized(var1) {
         this.aClass564_5360.method11976((byte)40);
      }
   }

   public void method7246() {
      Class564 var1 = this.aClass564_5357;
      synchronized(var1) {
         this.aClass564_5357.method11976((byte)73);
      }

      var1 = this.aClass564_5360;
      synchronized(var1) {
         this.aClass564_5360.method11976((byte)56);
      }
   }

   public void method7247(int var1) {
      Class564 var2 = this.aClass564_5357;
      synchronized(var2) {
         this.aClass564_5357.method11963(var1, (byte)-17);
      }

      var2 = this.aClass564_5360;
      synchronized(var2) {
         this.aClass564_5360.method11963(var1, (byte)-114);
      }
   }

   public void method7248(int var1, int var2, byte var3) {
      this.aClass564_5357 = new Class564(var1);
      this.aClass564_5360 = new Class564(var2);
   }

   public void method7249(int var1) {
      Class564 var2 = this.aClass564_5357;
      synchronized(var2) {
         this.aClass564_5357.method11963(var1, (byte)-73);
      }

      var2 = this.aClass564_5360;
      synchronized(var2) {
         this.aClass564_5360.method11963(var1, (byte)-6);
      }
   }

   static final void method7250(int var0) {
      if(client.aFloat7749 < 1058.0F) {
         client.aFloat7749 = 1058.0F;
      }

      if(client.aFloat7749 > 2833.0F) {
         client.aFloat7749 = 2833.0F;
      }

      while(client.aFloat7750 >= 16384.0F) {
         client.aFloat7750 -= 16384.0F;
      }

      while(client.aFloat7750 < 0.0F) {
         client.aFloat7750 += 16384.0F;
      }

      Class255 var1 = client.aClass279_7807.method5026(1708879883);
      Class241 var2 = client.aClass279_7807.method4917(-2045526760);
      int var3 = Class224.anInt2605 * 1230511155 >> 9;
      int var4 = Class522.anInt7145 * 1373106371 >> 9;
      int var5 = Class419.method7167(1230511155 * Class224.anInt2605, 1373106371 * Class522.anInt7145, -117136075 * Class181.anInt2197, (byte)-43);
      int var6 = 0;
      int var7;
      if(var3 > 3 && var4 > 3 && var3 < client.aClass279_7807.method4910(1794931161) - 4 && var4 < client.aClass279_7807.method4911((byte)-2) - 4) {
         for(var7 = var3 - 4; var7 <= var3 + 4; ++var7) {
            for(int var8 = var4 - 4; var8 <= 4 + var4; ++var8) {
               int var9 = Class181.anInt2197 * -117136075;
               if(var9 < 3 && var1.method4600(var7, var8, 1550146108)) {
                  ++var9;
               }

               int var10 = 0;
               byte[][] var11 = client.aClass279_7807.method4918(var9, 706100013);
               if(var11 != null) {
                  var10 = (var11[var7][var8] & 255) * 8 << 2;
               }

               if(var2.aClass400Array2859 != null && null != var2.aClass400Array2859[var9]) {
                  int var12 = var5 - (var2.aClass400Array2859[var9].method6789(var7, var8, (byte)3) - var10);
                  if(var12 > var6) {
                     var6 = var12;
                  }
               }
            }
         }
      }

      var7 = 1536 * (var6 >> 2);
      if(var7 > 786432) {
         var7 = 786432;
      }

      if(var7 < 262144) {
         var7 = 262144;
      }

      if(var7 > client.anInt7737 * 1141009441) {
         client.anInt7737 += (var7 - 1141009441 * client.anInt7737) / 24 * 2099779553;
      } else if(var7 < client.anInt7737 * 1141009441) {
         client.anInt7737 += 2099779553 * ((var7 - client.anInt7737 * 1141009441) / 80);
      }

   }

   static final void method7251(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1041066054);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class32.method868(var3, var4, var0, (byte)-109);
   }
}
